Subject: Sequence number

From: Philipp Hoschka <[email-masked]>
Date: Thu, 28 Aug 1997 20:47:11 +0200

I asked our Jigsaw architect to answer directly; here's his response.

 > Philipp Hoschka wrote:
 > 
 > > >Suggestion: Move RTSP timestamp from request-line to Sequence:
 > > header,
 > > >making the RTSP request/response line conformant with HTTP (and SIP).
...
 Anup wrote: 
 >   I don't quite understand this, and here's why:
 > 
 > Case 1: Control channel over TCP - In this case it can be argued that
 > you can just ignore the sequence number. I should think the code change,
 > if any is minimal.
 > Case 2: Control channel over UDP : Since the control channel is now not
 > a stream based one, the changes to Jigsaw would be significant
 > regardless. I'll buy that it is possible to do this in a manner
 > independant of whether the control channel is UDP or TCP, but still dont
 > understand why the sequence number being in the request line would imply
 > a significant rewrite.

Let me try to clarify. In both cases (UDP and TCP) I was planning to
reuse the existing HTTP parser as-is, which is (java)-stream based
(even if the stream is made of a single datagram). 

The parser wouldn't have to be rewritten completly, but if we ignore
additional infos in the request line, we no longer can claim it's an
HTTP parser (and then of course, what happens if some new protocol
add something else to that line ?)

But my point here is that by adding a header rtsp remains compatible
with http while by adding something to the request line, you break the
http bnf (as specified in 1.0 and 1.1). Moreover I cannot see any
reasons why having that number has a header is a problem.

Anselm.